## afdko 3.6.2+dfsg1

=== requirements.txt ===
# 'lxml' is not a primary requirement of afdko but it's listed here because
# we want to have control over the version and guarantee that the XML output
# of our tools is stable
# NOTE: hard-pinning (==) here gets relaxed to >= in setup.py
lxml==4.6.2
booleanOperations==0.9.0
defcon[pens,lxml]==0.7.2
fontMath==0.6.0
fontTools[woff,ufo,lxml,unicode]==4.21.1
psautohint==2.3.0
tqdm==4.58.0
ufonormalizer==0.5.3
ufoProcessor==1.9.0

=== c/spot/source/Makefile ===
# Copyright 2014 Adobe Systems Incorporated (http://www.adobe.com/). All Rights Reserved.
# This software is licensed as OpenSource, under the Apache License, Version 2.0. 
# This license is available at: http://opensource.org/licenses/Apache-2.0.

# Changed:    %G% %U%
#########################################################################

BIN_EXEC_PROGRAM_INSTALL = spot
BIN_EXEC_PROGRAM_SET = \
	global.c main.c opt.c res.c sfnt.c fdsc.c feat.c BLND.c fvar.c MMVR.c \
	TYP1.c name.c cmap.c head.c hhea.c hmtx.c maxp.c post.c hdmx.c LTSH.c \
	trak.c OS_2.c HFMX.c ENCO.c FNAM.c loca.c glyf.c da.c WDTH.c BBOX.c \
	CID_.c GLOB.c kern.c sys.c file.c desc.c gasp.c tto.c GSUB.c BASE.c \
	vhea.c vmtx.c proof.c CFF_.c GPOS.c cffread.c pathbuild.c EBLC.c MMFX.c dump.c map.c

CFLAGS += -g -Wall -ansi -DSUNOS=1 -DAUTOSPOOL=0 -D__USE_FIXED_PROTOTYPES__ -DCFF_T13_SUPPORT
LDLIBS = -lm
INC_DIRS = -I..

include $(MAKE_RULES)

# common dependencies
F=../sfntfmt
G=global.h file.h

$(BE)/BBOX.o: $G BBOX.h $F/BBOX.h
$(BE)/BLND.o: $G BLND.h $F/BLND.h sfnt.h opt.h
$(BE)/CID_.o: $G CID_.h $F/CID_.h sfnt.h opt.h
$(BE)/ENCO.o: $G ENCO.h $F/ENCO.h FNAM.h
$(BE)/FNAM.o: $G FNAM.h $F/FNAM.h sfnt.h opt.h
$(BE)/GLOB.o: $G GLOB.h $F/GLOB.h
$(BE)/HFMX.o: $G HFMX.h $F/HFMX.h BLND.h
$(BE)/LTSH.o: $G LTSH.h $F/LTSH.h
$(BE)/MMVR.o: $G MMVR.h $F/MMVR.h
$(BE)/OS_2.o: $G OS_2.h $F/OS_2.h
$(BE)/TYP1.o: $G TYP1.h $F/TYP1.h sfnt.h opt.h
$(BE)/WDTH.o: $G WDTH.h $F/WDTH.h
$(BE)/cffread.o: cffread.c cffread.h stdstr1.h txops.h isocs0.h exsubcs0.h exenc0.h excs0.h dictops.h stdenc0.h t13supp.c
$(BE)/cmap.o: $G cmap.h $F/cmap.h $F/unicode.h post.h
$(BE)/da.o: $G da.h
$(BE)/fdsc.o: $G fdsc.h $F/fdsc.h
$(BE)/feat.o: $G feat.h $F/feat.h
$(BE)/fvar.o: $G fvar.h $F/fvar.h
$(BE)/global.o: $G opt.h sfnt.h maxp.h CID_.h map.h
$(BE)/glyf.o: $G glyf.h opt.h $F/glyf.h maxp.h loca.h head.h hmtx.h post.h da.h proof.h
$(BE)/hdmx.o: $G hdmx.h $F/hdmx.h maxp.h
$(BE)/head.o: $G head.h $F/head.h sfnt.h opt.h
$(BE)/hhea.o: $G hhea.h $F/hhea.h sfnt.h opt.h
$(BE)/hmtx.o: $G hmtx.h $F/hmtx.h hhea.h maxp.h sfnt.h opt.h
$(BE)/kern.o: $G kern.h $F/kern.h BLND.h sfnt.h post.h
$(BE)/loca.o: $G loca.h $F/loca.h maxp.h head.h sfnt.h opt.h
$(BE)/main.o: $G sfnt.h opt.h $F/sfnt.h res.h glyf.h da.h
$(BE)/maxp.o: $G maxp.h $F/maxp.h sfnt.h opt.h
$(BE)/mort.o: $G mort.h $F/mort.h
$(BE)/name.o: $G name.h $F/name.h
$(BE)/opt.o: $G opt.h
$(BE)/post.o: $G post.h $F/post.h maxp.h sfnt.h opt.h $F/applestd.h CID_.h
$(BE)/res.o: $G res.h opt.h opt.h sfnt.h
$(BE)/sfnt.o: $G sfnt.h opt.h $F/sfnt.h da.h BBOX.h BLND.h \
	CID_.h ENCO.h FNAM.h HFMX.h LTSH.h MMVR.h OS_2.h TYP1.h \
	WDTH.h cmap.h fdsc.h feat.h fvar.h glyf.h hdmx.h head.h \
	hhea.h hmtx.h kern.h loca.h maxp.h name.h post.h trak.h
$(BE)/trak.o: $G trak.h $F/trak.h
$(BE)/sys.o: $G sys.h
$(BE)/file.o: $G file.h sys.h
$(BE)/desc.o: $G desc.h
$(BE)/gasp.o: $G $F/gasp.h gasp.h
$(BE)/tto.o: $G $F/tto.h
$(BE)/GSUB.o: $G tto.h $F/GSUB.h $F/tto.h GSUB.h
$(BE)/BASE.o: $G tto.h $F/BASE.h $F/tto.h BASE.h
$(BE)/vhea.o: $G vhea.h $F/vhea.h sfnt.h
$(BE)/vmtx.o: $G vmtx.h $F/vmtx.h vhea.h maxp.h sfnt.h
$(BE)/EBLC.o: $G sfnt.h $F/EBLC.h EBLC.h
$(BE)/map.o: $G map.h nicename.h

=== c/makeotf/makeotf_lib/build/hotpccts/Makefile ===
# Copyright 2014 Adobe Systems Incorporated (http://www.adobe.com/). All Rights Reserved.
# This software is licensed as OpenSource, under the Apache License, Version 2.0. 
# This license is available at: http://opensource.org/licenses/Apache-2.0.
# Install clang-format with 'brew install clang-format'
# Install cpplint with 'pip install cpplint'

all: pccts
ROOT_DIR     = ../..
HOT          = $(ROOT_DIR)/source/hotconv
# HOT          = ../hotconv
PCCTS		 = pccts
PCCTS_BIN	 = ${PCCTS}/bin
ANTLR		 = ${PCCTS_BIN}/antlr
DLG			 = ${PCCTS_BIN}/dlg

# -ga    Generate ANSI-compatible code (default=FALSE)
# -o     Directory where all output files should go (default=".")
# -f?    Rename output files
ANTLR_FLAGS = -ga \
			  -o ${HOT} \
			  -fe featerr.c \
			  -fl featpars.dlg \
			  -fm featmode.h \
			  -ft feattoks.h

# -ga    Generate ANSI-compatible code (default=FALSE)
# -C2	 Compression level 2
# -i	 Build interactive scanner
# -o     Directory where all output files should go (default=".")
# -m	 Rename lexical mode output file
DLG_FLAGS   = -ga -C2 -i \
			  -o ${HOT} \
			  -m featmode.h

ANTLR_SPAWN = ${HOT}/featpars.dlg ${HOT}/featgram.c ${HOT}/feattoks.h \
	${HOT}/featerr.c
DLG_SPAWN 	= ${HOT}/featscan.c ${HOT}/featmode.h

pccts: ${ANTLR_SPAWN} ${DLG_SPAWN}
	clang-format -i ${HOT}/featgram.c ${HOT}/featscan.c ${HOT}/featerr.c ${HOT}/feattoks.h
	cpplint ${HOT}/featgram.c ${HOT}/featscan.c ${HOT}/featerr.c ${HOT}/feattoks.h

${ANTLR_SPAWN}: featgram.g ${HOT}/feat.c ${HOT}/feat.h
	${ANTLR} ${ANTLR_FLAGS} featgram.g

${DLG_SPAWN}: ${HOT}/featpars.dlg
	${DLG} ${DLG_FLAGS} ${HOT}/featpars.dlg ${HOT}/featscan.c

scrub:
	rm -f ${ANTLR_SPAWN} ${DLG_SPAWN}

=== c/detype1/build/linux/gcc/debug/Makefile ===
#########################################################################
#                                                                       #
# Copyright 2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = debug
ROOT_DIR = ../../../..

CFLAGS = $(STD_OPTS) -g

# Program
PRG_SRCS = $(SRC_DIR)/detype1.c
PRG_OBJS = detype1.o
PRG_TARGET = $(EXE_DIR)/detype1

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include ../../../../../public/config/linux/gcc/gcc.mak

# Object rules
detype1.o: 
	$(CC) $(CFLAGS) -c $(SRC_DIR)/detype1.c -o $@

# AUTO-GENERATED DEPENDENCIES
detype1.o: $(SRC_DIR)/detype1.c

=== c/rotatefont/build/linux/gcc/debug/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2003 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = debug
ROOT_DIR = ../../../..
OBJECT_DIR = .

CFLAGS = $(STD_OPTS) -g

# Program
PRG_SRCS = $(SRC_DIR)/rotateFont.c
PRG_OBJS = rotateFont.o
PRG_TARGET = $(EXE_DIR)/rotatefont

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include ../../../../../public/config/linux/gcc/gcc_tx.mak

# include tx/rotatefont/mergefonts shared header files
STD_OPTS += -I$(realpath $(ROOT_DIR)/../public/lib/source/tx_shared)

# Object rules
rotateFont.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/rotateFont.c -o $@

=== c/sfntdiff/build/linux/gcc/debug/Makefile ===
# Copyright 2014 Adobe Systems Incorporated (http://www.adobe.com/). All Rights Reserved.
# This software is licensed as OpenSource, under the Apache License, Version 2.0. 
# This license is available at: http://opensource.org/licenses/Apache-2.0.

# Configuration
CONFIG = debug
ROOT_DIR = ../../../..
OBJECT_DIR = .

CFLAGS = $(STD_OPTS) -g -I$(ROOT_DIR)/../spot/sfnt_includes

# Program
PRG_SRCS = $(SRC_DIR)/Dmain.c \
	$(SRC_DIR)/Dda.c \
	$(SRC_DIR)/Ddesc.c \
	$(SRC_DIR)/Dfile.c \
	$(SRC_DIR)/Dglobal.c \
	$(SRC_DIR)/Dhead.c \
	$(SRC_DIR)/Dmain.c \
	$(SRC_DIR)/Dname.c \
	$(SRC_DIR)/Dopt.c \
	$(SRC_DIR)/Dpriv.c \
	$(SRC_DIR)/Dsfnt.c \
	$(SRC_DIR)/Dsys.c \
	$(SRC_DIR)/Dtto.c

PRG_INCLUDES = 	$(SRC_DIR)/Dda.h \
	$(SRC_DIR)/Ddesc.h \
	$(SRC_DIR)/Dfile.h \
	$(SRC_DIR)/Dglobal.h \
	$(SRC_DIR)/Dhead.h \
	$(SRC_DIR)/Dname.h \
	$(SRC_DIR)/Dopt.h \
	$(SRC_DIR)/Dsfnt.h \
	$(SRC_DIR)/Dsys.h \
	$(SRC_DIR)/Dtto.h \
	$(SRC_DIR)/numtypes.h \
	$(ROOT_DIR)/../spot/sfnt_includes/sfnt_common.h


PRG_OBJS = $(OBJECT_DIR)/Dda.o \
	$(OBJECT_DIR)/Ddesc.o \
	$(OBJECT_DIR)/Dfile.o \
	$(OBJECT_DIR)/Dglobal.o \
	$(OBJECT_DIR)/Dhead.o \
	$(OBJECT_DIR)/Dmain.o \
	$(OBJECT_DIR)/Dname.o \
	$(OBJECT_DIR)/Dopt.o \
	$(OBJECT_DIR)/Dpriv.o \
	$(OBJECT_DIR)/Dsfnt.o \
	$(OBJECT_DIR)/Dsys.o \
	$(OBJECT_DIR)/Dtto.o
	
PRG_TARGET = $(EXE_DIR)/sfntdiff

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include ../../../../../public/config/linux/gcc/gcc.mak

# Object rules
$(OBJECT_DIR)/Dda.o: $(SRC_DIR)/Dda.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dda.c -o $(OBJECT_DIR)/Dda.o
$(OBJECT_DIR)/Ddesc.o: $(SRC_DIR)/Ddesc.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Ddesc.c -o $(OBJECT_DIR)/Ddesc.o
$(OBJECT_DIR)/Dfile.o: $(SRC_DIR)/Dfile.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dfile.c -o $(OBJECT_DIR)/Dfile.o
$(OBJECT_DIR)/Dglobal.o: $(SRC_DIR)/Dglobal.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dglobal.c -o $(OBJECT_DIR)/Dglobal.o
$(OBJECT_DIR)/Dhead.o: $(SRC_DIR)/Dhead.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dhead.c -o $(OBJECT_DIR)/Dhead.o
$(OBJECT_DIR)/Dmain.o: $(SRC_DIR)/Dmain.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dmain.c -o $(OBJECT_DIR)/Dmain.o
$(OBJECT_DIR)/Dname.o: $(SRC_DIR)/Dname.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dname.c -o $(OBJECT_DIR)/Dname.o
$(OBJECT_DIR)/Dopt.o: $(SRC_DIR)/Dopt.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dopt.c -o $(OBJECT_DIR)/Dopt.o
$(OBJECT_DIR)/Dpriv.o: $(SRC_DIR)/Dpriv.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dpriv.c -o $(OBJECT_DIR)/Dpriv.o
$(OBJECT_DIR)/Dsfnt.o: $(SRC_DIR)/Dsfnt.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dsfnt.c -o $(OBJECT_DIR)/Dsfnt.o
$(OBJECT_DIR)/Dsys.o: $(SRC_DIR)/Dsys.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dsys.c -o $(OBJECT_DIR)/Dsys.o
$(OBJECT_DIR)/Dtto.o: $(SRC_DIR)/Dtto.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dtto.c -o $(OBJECT_DIR)/Dtto.o

=== c/sfntedit/build/linux/gcc/release/Makefile ===
# Copyright 2014 Adobe Systems Incorporated (http://www.adobe.com/). All Rights Reserved.
# This software is licensed as OpenSource, under the Apache License, Version 2.0. 
# This license is available at: http://opensource.org/licenses/Apache-2.0.

# Configuration
CONFIG = release
ROOT_DIR = $(realpath ../../../..)
OBJECT_DIR = .

CFLAGS = $(STD_OPTS) -I$(ROOT_DIR)/../spot/sfnt_includes

# Program
PRG_SRCS = $(SRC_DIR)/Eda.c \
	$(SRC_DIR)/Efile.c \
	$(SRC_DIR)/Eglobal.c \
	$(SRC_DIR)/Emsgs.c \
	$(SRC_DIR)/Esys.c \
	$(SRC_DIR)/main.c


PRG_INCLUDES = $(SRC_DIR)/Eda.h \
	$(SRC_DIR)/Efile.h \
	$(SRC_DIR)/Eglobal.h \
	$(SRC_DIR)/Emsgs.h \
	$(SRC_DIR)/Esys.h \
	$(SRC_DIR)/otftableeditor.h


PRG_OBJS = $(OBJECT_DIR)/Eda.o \
	$(OBJECT_DIR)/Efile.o \
	$(OBJECT_DIR)/Eglobal.o \
	$(OBJECT_DIR)/Emsgs.o \
	$(OBJECT_DIR)/Esys.o \
	$(OBJECT_DIR)/main.o
	
PRG_TARGET = $(EXE_DIR)/sfntedit

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include $(realpath ../../../../../public/config/linux/gcc/gcc.mak)

# Object rules
$(OBJECT_DIR)/Eda.o: $(SRC_DIR)/Eda.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Eda.c -o $(OBJECT_DIR)/Eda.o
$(OBJECT_DIR)/Efile.o: $(SRC_DIR)/Efile.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Efile.c -o $(OBJECT_DIR)/Efile.o
$(OBJECT_DIR)/Eglobal.o: $(SRC_DIR)/Eglobal.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Eglobal.c -o $(OBJECT_DIR)/Eglobal.o
$(OBJECT_DIR)/Emsgs.o: $(SRC_DIR)/Emsgs.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Emsgs.c -o $(OBJECT_DIR)/Emsgs.o
$(OBJECT_DIR)/Esys.o: $(SRC_DIR)/Esys.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Esys.c -o $(OBJECT_DIR)/Esys.o
$(OBJECT_DIR)/main.o: $(SRC_DIR)/main.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/main.c -o $(OBJECT_DIR)/main.o

=== c/spot/build/linux/gcc/debug/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = debug
ROOT_DIR = ../../../..
OBJECT_DIR = .
PRG_TARGET = $(EXE_DIR)/spot
# Build targets
TARGETS = $(PRG_TARGET)

CFLAGS = $(STD_OPTS) -g -I$(ROOT_DIR)/sfnt_includes -I$(SRC_DIR) -DEXECUTABLE=1 -g

# Program
PRG_SRCS = $(SRC_DIR)/BASE.c \
	$(SRC_DIR)/BBOX.c \
	$(SRC_DIR)/BLND.c \
	$(SRC_DIR)/CFF_.c \
	$(SRC_DIR)/CID_.c \
	$(SRC_DIR)/EBLC.c \
	$(SRC_DIR)/ENCO.c \
	$(SRC_DIR)/FNAM.c \
	$(SRC_DIR)/GDEF.c \
	$(SRC_DIR)/GLOB.c \
	$(SRC_DIR)/GPOS.c \
	$(SRC_DIR)/GSUB.c \
	$(SRC_DIR)/HFMX.c \
	$(SRC_DIR)/LTSH.c \
	$(SRC_DIR)/META.c \
	$(SRC_DIR)/MMFX.c \
	$(SRC_DIR)/MMSD.c \
	$(SRC_DIR)/MMVR.c \
	$(SRC_DIR)/OS_2.c \
	$(SRC_DIR)/SING.c \
	$(SRC_DIR)/TTdumpinstrs.c \
	$(SRC_DIR)/TYP1.c \
	$(SRC_DIR)/VORG.c \
	$(SRC_DIR)/WDTH.c \
	$(SRC_DIR)/cffread.c \
	$(SRC_DIR)/cmap.c \
	$(SRC_DIR)/da.c \
	$(SRC_DIR)/desc.c \
	$(SRC_DIR)/dump.c \
	$(SRC_DIR)/fdsc.c \
	$(SRC_DIR)/feat.c \
	$(SRC_DIR)/file.c \
	$(SRC_DIR)/fvar.c \
	$(SRC_DIR)/gasp.c \
	$(SRC_DIR)/global.c \
	$(SRC_DIR)/glyf.c \
	$(SRC_DIR)/hdmx.c \
	$(SRC_DIR)/head.c \
	$(SRC_DIR)/hhea.c \
	$(SRC_DIR)/hmtx.c \
	$(SRC_DIR)/kern.c \
	$(SRC_DIR)/loca.c \
	$(SRC_DIR)/main.c \
	$(SRC_DIR)/map.c \
	$(SRC_DIR)/maxp.c \
	$(SRC_DIR)/name.c \
	$(SRC_DIR)/opt.c \
	$(SRC_DIR)/pathbuild.c \
	$(SRC_DIR)/post.c \
	$(SRC_DIR)/proof.c \
	$(SRC_DIR)/res.c \
	$(SRC_DIR)/sfnt.c \
	$(SRC_DIR)/spotmsgs.c \
	$(SRC_DIR)/strftime.c \
	$(SRC_DIR)/sys.c \
	$(SRC_DIR)/trak.c \
	$(SRC_DIR)/tto.c \
	$(SRC_DIR)/vhea.c \
	$(SRC_DIR)/vmtx.c


PRG_INCLUDES = $(SRC_DIR)/BASE.h \
	$(SRC_DIR)/BBOX.h \
	$(SRC_DIR)/BLND.h \
	$(SRC_DIR)/CFF_.h \
	$(SRC_DIR)/CID_.h \
	$(SRC_DIR)/EBLC.h \
	$(SRC_DIR)/ENCO.h \
	$(SRC_DIR)/FNAM.h \
	$(SRC_DIR)/GDEF.h \
	$(SRC_DIR)/GLOB.h \
	$(SRC_DIR)/GPOS.h \
	$(SRC_DIR)/GSUB.h \
	$(SRC_DIR)/HFMX.h \
	$(SRC_DIR)/LTSH.h \
	$(SRC_DIR)/META.h \
	$(SRC_DIR)/MMFX.h \
	$(SRC_DIR)/MMSD.h \
	$(SRC_DIR)/MMVR.h \
	$(SRC_DIR)/OS_2.h \
	$(SRC_DIR)/SING.h \
	$(SRC_DIR)/TTdumpinstrs.h \
	$(SRC_DIR)/TYP1.h \
	$(SRC_DIR)/VORG.h \
	$(SRC_DIR)/WDTH.h \
	$(SRC_DIR)/bitstr.h \
	$(SRC_DIR)/cffread.h \
	$(SRC_DIR)/cmap.h \
	$(SRC_DIR)/da.h \
	$(SRC_DIR)/desc.h \
	$(SRC_DIR)/dictops.h \
	$(SRC_DIR)/dump.h \
	$(SRC_DIR)/excs.h \
	$(SRC_DIR)/excs0.h \
	$(SRC_DIR)/exenc0.h \
	$(SRC_DIR)/exenccd.h \
	$(SRC_DIR)/exsubcs.h \
	$(SRC_DIR)/exsubcs0.h \
	$(SRC_DIR)/fdsc.h \
	$(SRC_DIR)/feat.h \
	$(SRC_DIR)/file.h \
	$(SRC_DIR)/fvar.h \
	$(SRC_DIR)/gasp.h \
	$(SRC_DIR)/global.h \
	$(SRC_DIR)/glyf.h \
	$(SRC_DIR)/hdmx.h \
	$(SRC_DIR)/head.h \
	$(SRC_DIR)/hhea.h \
	$(SRC_DIR)/hmtx.h \
	$(SRC_DIR)/isocs.h \
	$(SRC_DIR)/isocs0.h \
	$(SRC_DIR)/kern.h \
	$(SRC_DIR)/loca.h \
	$(SRC_DIR)/map.h \
	$(SRC_DIR)/maxp.h \
	$(SRC_DIR)/nicename.h \
	$(SRC_DIR)/numtypes.h \
	$(SRC_DIR)/opt.h \
	$(SRC_DIR)/package.h \
	$(SRC_DIR)/pathbuild.h \
	$(SRC_DIR)/post.h \
	$(SRC_DIR)/proof.h \
	$(SRC_DIR)/res.h \
	$(SRC_DIR)/sfnt.h \
	$(SRC_DIR)/spot.h \
	$(SRC_DIR)/spotmsgs.h \
	$(SRC_DIR)/stdenc0.h \
	$(SRC_DIR)/stdenccd.h \
	$(SRC_DIR)/stdstr.h \
	$(SRC_DIR)/stdstr1.h \
	$(SRC_DIR)/sys.h \
	$(SRC_DIR)/trak.h \
	$(SRC_DIR)/tto.h \
	$(SRC_DIR)/txops.h \
	$(SRC_DIR)/vhea.h \
	$(SRC_DIR)/vmtx.h


PRG_OBJS = $(OBJECT_DIR)/BASE.o \
	$(OBJECT_DIR)/BBOX.o \
	$(OBJECT_DIR)/BLND.o \
	$(OBJECT_DIR)/CFF_.o \
	$(OBJECT_DIR)/CID_.o \
	$(OBJECT_DIR)/EBLC.o \
	$(OBJECT_DIR)/ENCO.o \
	$(OBJECT_DIR)/FNAM.o \
	$(OBJECT_DIR)/GDEF.o \
	$(OBJECT_DIR)/GLOB.o \
	$(OBJECT_DIR)/GPOS.o \
	$(OBJECT_DIR)/GSUB.o \
	$(OBJECT_DIR)/HFMX.o \
	$(OBJECT_DIR)/LTSH.o \
	$(OBJECT_DIR)/META.o \
	$(OBJECT_DIR)/MMFX.o \
	$(OBJECT_DIR)/MMSD.o \
	$(OBJECT_DIR)/MMVR.o \
	$(OBJECT_DIR)/OS_2.o \
	$(OBJECT_DIR)/SING.o \
	$(OBJECT_DIR)/TTdumpinstrs.o \
	$(OBJECT_DIR)/TYP1.o \
	$(OBJECT_DIR)/VORG.o \
	$(OBJECT_DIR)/WDTH.o \
	$(OBJECT_DIR)/cffread.o \
	$(OBJECT_DIR)/cmap.o \
	$(OBJECT_DIR)/da.o \
	$(OBJECT_DIR)/desc.o \
	$(OBJECT_DIR)/dump.o \
	$(OBJECT_DIR)/fdsc.o \
	$(OBJECT_DIR)/feat.o \
	$(OBJECT_DIR)/file.o \
	$(OBJECT_DIR)/fvar.o \
	$(OBJECT_DIR)/gasp.o \
	$(OBJECT_DIR)/global.o \
	$(OBJECT_DIR)/glyf.o \
	$(OBJECT_DIR)/hdmx.o \
	$(OBJECT_DIR)/head.o \
	$(OBJECT_DIR)/hhea.o \
	$(OBJECT_DIR)/hmtx.o \
	$(OBJECT_DIR)/kern.o \
	$(OBJECT_DIR)/loca.o \
	$(OBJECT_DIR)/main.o \
	$(OBJECT_DIR)/map.o \
	$(OBJECT_DIR)/maxp.o \
	$(OBJECT_DIR)/name.o \
	$(OBJECT_DIR)/opt.o \
	$(OBJECT_DIR)/pathbuild.o \
	$(OBJECT_DIR)/post.o \
	$(OBJECT_DIR)/proof.o \
	$(OBJECT_DIR)/res.o \
	$(OBJECT_DIR)/sfnt.o \
	$(OBJECT_DIR)/spotmsgs.o \
	$(OBJECT_DIR)/strftime.o \
	$(OBJECT_DIR)/sys.o \
	$(OBJECT_DIR)/trak.o \
	$(OBJECT_DIR)/tto.o \
	$(OBJECT_DIR)/vhea.o \
	$(OBJECT_DIR)/vmtx.o
	
# Standard definitions
include ../../../../../public/config/linux/gcc/gcc.mak

# program rule is in gcc.mak

# Object rules

$(OBJECT_DIR)/BASE.o: $(SRC_DIR)/BASE.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/BASE.c -o $(OBJECT_DIR)/BASE.o

$(OBJECT_DIR)/BBOX.o: $(SRC_DIR)/BBOX.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/BBOX.c -o $(OBJECT_DIR)/BBOX.o

$(OBJECT_DIR)/BLND.o: $(SRC_DIR)/BLND.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/BLND.c -o $(OBJECT_DIR)/BLND.o

$(OBJECT_DIR)/CFF_.o: $(SRC_DIR)/CFF_.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/CFF_.c -o $(OBJECT_DIR)/CFF_.o

$(OBJECT_DIR)/CID_.o: $(SRC_DIR)/CID_.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/CID_.c -o $(OBJECT_DIR)/CID_.o

$(OBJECT_DIR)/EBLC.o: $(SRC_DIR)/EBLC.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/EBLC.c -o $(OBJECT_DIR)/EBLC.o

$(OBJECT_DIR)/ENCO.o: $(SRC_DIR)/ENCO.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/ENCO.c -o $(OBJECT_DIR)/ENCO.o

$(OBJECT_DIR)/FNAM.o: $(SRC_DIR)/FNAM.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/FNAM.c -o $(OBJECT_DIR)/FNAM.o

$(OBJECT_DIR)/GDEF.o: $(SRC_DIR)/GDEF.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/GDEF.c -o $(OBJECT_DIR)/GDEF.o

$(OBJECT_DIR)/GLOB.o: $(SRC_DIR)/GLOB.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/GLOB.c -o $(OBJECT_DIR)/GLOB.o

$(OBJECT_DIR)/GPOS.o: $(SRC_DIR)/GPOS.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/GPOS.c -o $(OBJECT_DIR)/GPOS.o

$(OBJECT_DIR)/GSUB.o: $(SRC_DIR)/GSUB.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/GSUB.c -o $(OBJECT_DIR)/GSUB.o

$(OBJECT_DIR)/HFMX.o: $(SRC_DIR)/HFMX.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/HFMX.c -o $(OBJECT_DIR)/HFMX.o

$(OBJECT_DIR)/LTSH.o: $(SRC_DIR)/LTSH.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/LTSH.c -o $(OBJECT_DIR)/LTSH.o

$(OBJECT_DIR)/META.o: $(SRC_DIR)/META.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/META.c -o $(OBJECT_DIR)/META.o

$(OBJECT_DIR)/MMFX.o: $(SRC_DIR)/MMFX.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/MMFX.c -o $(OBJECT_DIR)/MMFX.o

$(OBJECT_DIR)/MMSD.o: $(SRC_DIR)/MMSD.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/MMSD.c -o $(OBJECT_DIR)/MMSD.o

$(OBJECT_DIR)/MMVR.o: $(SRC_DIR)/MMVR.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/MMVR.c -o $(OBJECT_DIR)/MMVR.o

$(OBJECT_DIR)/OS_2.o: $(SRC_DIR)/OS_2.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/OS_2.c -o $(OBJECT_DIR)/OS_2.o

$(OBJECT_DIR)/SING.o: $(SRC_DIR)/SING.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/SING.c -o $(OBJECT_DIR)/SING.o

$(OBJECT_DIR)/TTdumpinstrs.o: $(SRC_DIR)/TTdumpinstrs.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/TTdumpinstrs.c -o $(OBJECT_DIR)/TTdumpinstrs.o

$(OBJECT_DIR)/TYP1.o: $(SRC_DIR)/TYP1.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/TYP1.c -o $(OBJECT_DIR)/TYP1.o

$(OBJECT_DIR)/VORG.o: $(SRC_DIR)/VORG.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/VORG.c -o $(OBJECT_DIR)/VORG.o

$(OBJECT_DIR)/WDTH.o: $(SRC_DIR)/WDTH.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/WDTH.c -o $(OBJECT_DIR)/WDTH.o

$(OBJECT_DIR)/cffread.o: $(SRC_DIR)/cffread.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/cffread.c -o $(OBJECT_DIR)/cffread.o

$(OBJECT_DIR)/cmap.o: $(SRC_DIR)/cmap.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/cmap.c -o $(OBJECT_DIR)/cmap.o

$(OBJECT_DIR)/da.o: $(SRC_DIR)/da.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/da.c -o $(OBJECT_DIR)/da.o

$(OBJECT_DIR)/desc.o: $(SRC_DIR)/desc.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/desc.c -o $(OBJECT_DIR)/desc.o

$(OBJECT_DIR)/dump.o: $(SRC_DIR)/dump.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/dump.c -o $(OBJECT_DIR)/dump.o

$(OBJECT_DIR)/fdsc.o: $(SRC_DIR)/fdsc.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/fdsc.c -o $(OBJECT_DIR)/fdsc.o

$(OBJECT_DIR)/feat.o: $(SRC_DIR)/feat.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/feat.c -o $(OBJECT_DIR)/feat.o

$(OBJECT_DIR)/file.o: $(SRC_DIR)/file.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/file.c -o $(OBJECT_DIR)/file.o

$(OBJECT_DIR)/fvar.o: $(SRC_DIR)/fvar.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/fvar.c -o $(OBJECT_DIR)/fvar.o

$(OBJECT_DIR)/gasp.o: $(SRC_DIR)/gasp.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/gasp.c -o $(OBJECT_DIR)/gasp.o

$(OBJECT_DIR)/global.o: $(SRC_DIR)/global.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/global.c -o $(OBJECT_DIR)/global.o

$(OBJECT_DIR)/glyf.o: $(SRC_DIR)/glyf.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/glyf.c -o $(OBJECT_DIR)/glyf.o

$(OBJECT_DIR)/hdmx.o: $(SRC_DIR)/hdmx.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/hdmx.c -o $(OBJECT_DIR)/hdmx.o

$(OBJECT_DIR)/head.o: $(SRC_DIR)/head.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/head.c -o $(OBJECT_DIR)/head.o

$(OBJECT_DIR)/hhea.o: $(SRC_DIR)/hhea.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/hhea.c -o $(OBJECT_DIR)/hhea.o

$(OBJECT_DIR)/hmtx.o: $(SRC_DIR)/hmtx.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/hmtx.c -o $(OBJECT_DIR)/hmtx.o

$(OBJECT_DIR)/kern.o: $(SRC_DIR)/kern.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/kern.c -o $(OBJECT_DIR)/kern.o

$(OBJECT_DIR)/loca.o: $(SRC_DIR)/loca.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/loca.c -o $(OBJECT_DIR)/loca.o

$(OBJECT_DIR)/main.o: $(SRC_DIR)/main.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/main.c -o $(OBJECT_DIR)/main.o

$(OBJECT_DIR)/map.o: $(SRC_DIR)/map.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/map.c -o $(OBJECT_DIR)/map.o

$(OBJECT_DIR)/maxp.o: $(SRC_DIR)/maxp.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/maxp.c -o $(OBJECT_DIR)/maxp.o

$(OBJECT_DIR)/name.o: $(SRC_DIR)/name.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/name.c -o $(OBJECT_DIR)/name.o

$(OBJECT_DIR)/opt.o: $(SRC_DIR)/opt.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/opt.c -o $(OBJECT_DIR)/opt.o

$(OBJECT_DIR)/pathbuild.o: $(SRC_DIR)/pathbuild.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/pathbuild.c -o $(OBJECT_DIR)/pathbuild.o

$(OBJECT_DIR)/post.o: $(SRC_DIR)/post.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/post.c -o $(OBJECT_DIR)/post.o

$(OBJECT_DIR)/proof.o: $(SRC_DIR)/proof.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/proof.c -o $(OBJECT_DIR)/proof.o

$(OBJECT_DIR)/res.o: $(SRC_DIR)/res.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/res.c -o $(OBJECT_DIR)/res.o

$(OBJECT_DIR)/sfnt.o: $(SRC_DIR)/sfnt.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/sfnt.c -o $(OBJECT_DIR)/sfnt.o

$(OBJECT_DIR)/spotmsgs.o: $(SRC_DIR)/spotmsgs.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/spotmsgs.c -o $(OBJECT_DIR)/spotmsgs.o

$(OBJECT_DIR)/strftime.o: $(SRC_DIR)/strftime.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/strftime.c -o $(OBJECT_DIR)/strftime.o

$(OBJECT_DIR)/sys.o: $(SRC_DIR)/sys.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/sys.c -o $(OBJECT_DIR)/sys.o

$(OBJECT_DIR)/trak.o: $(SRC_DIR)/trak.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/trak.c -o $(OBJECT_DIR)/trak.o

=== c/spot/build/linux/gcc/release/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = release
ROOT_DIR = $(realpath ../../../..)
OBJECT_DIR = .
PRG_TARGET = $(EXE_DIR)/spot
# Build targets
TARGETS = $(PRG_TARGET)

CFLAGS = $(STD_OPTS) -g -I$(ROOT_DIR)/sfnt_includes -I$(SRC_DIR) -DEXECUTABLE=1

# Program
PRG_SRCS = $(SRC_DIR)/BASE.c \
	$(SRC_DIR)/BBOX.c \
	$(SRC_DIR)/BLND.c \
	$(SRC_DIR)/CFF_.c \
	$(SRC_DIR)/CID_.c \
	$(SRC_DIR)/EBLC.c \
	$(SRC_DIR)/ENCO.c \
	$(SRC_DIR)/FNAM.c \
	$(SRC_DIR)/GDEF.c \
	$(SRC_DIR)/GLOB.c \
	$(SRC_DIR)/GPOS.c \
	$(SRC_DIR)/GSUB.c \
	$(SRC_DIR)/HFMX.c \
	$(SRC_DIR)/LTSH.c \
	$(SRC_DIR)/META.c \
	$(SRC_DIR)/MMFX.c \
	$(SRC_DIR)/MMSD.c \
	$(SRC_DIR)/MMVR.c \
	$(SRC_DIR)/OS_2.c \
	$(SRC_DIR)/SING.c \
	$(SRC_DIR)/TTdumpinstrs.c \
	$(SRC_DIR)/TYP1.c \
	$(SRC_DIR)/VORG.c \
	$(SRC_DIR)/WDTH.c \
	$(SRC_DIR)/cffread.c \
	$(SRC_DIR)/cmap.c \
	$(SRC_DIR)/da.c \
	$(SRC_DIR)/desc.c \
	$(SRC_DIR)/dump.c \
	$(SRC_DIR)/fdsc.c \
	$(SRC_DIR)/feat.c \
	$(SRC_DIR)/file.c \
	$(SRC_DIR)/fvar.c \
	$(SRC_DIR)/gasp.c \
	$(SRC_DIR)/global.c \
	$(SRC_DIR)/glyf.c \
	$(SRC_DIR)/hdmx.c \
	$(SRC_DIR)/head.c \
	$(SRC_DIR)/hhea.c \
	$(SRC_DIR)/hmtx.c \
	$(SRC_DIR)/kern.c \
	$(SRC_DIR)/loca.c \
	$(SRC_DIR)/main.c \
	$(SRC_DIR)/map.c \
	$(SRC_DIR)/maxp.c \
	$(SRC_DIR)/name.c \
	$(SRC_DIR)/opt.c \
	$(SRC_DIR)/pathbuild.c \
	$(SRC_DIR)/post.c \
	$(SRC_DIR)/proof.c \
	$(SRC_DIR)/res.c \
	$(SRC_DIR)/sfnt.c \
	$(SRC_DIR)/spotmsgs.c \
	$(SRC_DIR)/strftime.c \
	$(SRC_DIR)/sys.c \
	$(SRC_DIR)/trak.c \
	$(SRC_DIR)/tto.c \
	$(SRC_DIR)/vhea.c \
	$(SRC_DIR)/vmtx.c


PRG_INCLUDES = $(SRC_DIR)/BASE.h \
	$(SRC_DIR)/BBOX.h \
	$(SRC_DIR)/BLND.h \
	$(SRC_DIR)/CFF_.h \
	$(SRC_DIR)/CID_.h \
	$(SRC_DIR)/EBLC.h \
	$(SRC_DIR)/ENCO.h \
	$(SRC_DIR)/FNAM.h \
	$(SRC_DIR)/GDEF.h \
	$(SRC_DIR)/GLOB.h \
	$(SRC_DIR)/GPOS.h \
	$(SRC_DIR)/GSUB.h \
	$(SRC_DIR)/HFMX.h \
	$(SRC_DIR)/LTSH.h \
	$(SRC_DIR)/META.h \
	$(SRC_DIR)/MMFX.h \
	$(SRC_DIR)/MMSD.h \
	$(SRC_DIR)/MMVR.h \
	$(SRC_DIR)/OS_2.h \
	$(SRC_DIR)/SING.h \
	$(SRC_DIR)/TTdumpinstrs.h \
	$(SRC_DIR)/TYP1.h \
	$(SRC_DIR)/VORG.h \
	$(SRC_DIR)/WDTH.h \
	$(SRC_DIR)/bitstr.h \
	$(SRC_DIR)/cffread.h \
	$(SRC_DIR)/cmap.h \
	$(SRC_DIR)/da.h \
	$(SRC_DIR)/desc.h \
	$(SRC_DIR)/dictops.h \
	$(SRC_DIR)/dump.h \
	$(SRC_DIR)/excs.h \
	$(SRC_DIR)/excs0.h \
	$(SRC_DIR)/exenc0.h \
	$(SRC_DIR)/exenccd.h \
	$(SRC_DIR)/exsubcs.h \
	$(SRC_DIR)/exsubcs0.h \
	$(SRC_DIR)/fdsc.h \
	$(SRC_DIR)/feat.h \
	$(SRC_DIR)/file.h \
	$(SRC_DIR)/fvar.h \
	$(SRC_DIR)/gasp.h \
	$(SRC_DIR)/global.h \
	$(SRC_DIR)/glyf.h \
	$(SRC_DIR)/hdmx.h \
	$(SRC_DIR)/head.h \
	$(SRC_DIR)/hhea.h \
	$(SRC_DIR)/hmtx.h \
	$(SRC_DIR)/isocs.h \
	$(SRC_DIR)/isocs0.h \
	$(SRC_DIR)/kern.h \
	$(SRC_DIR)/loca.h \
	$(SRC_DIR)/map.h \
	$(SRC_DIR)/maxp.h \
	$(SRC_DIR)/name.h \
	$(SRC_DIR)/nicename.h \
	$(SRC_DIR)/numtypes.h \
	$(SRC_DIR)/opt.h \
	$(SRC_DIR)/package.h \
	$(SRC_DIR)/pathbuild.h \
	$(SRC_DIR)/post.h \
	$(SRC_DIR)/proof.h \
	$(SRC_DIR)/res.h \
	$(SRC_DIR)/sfnt.h \
	$(SRC_DIR)/spot.h \
	$(SRC_DIR)/spotmsgs.h \
	$(SRC_DIR)/stdenc0.h \
	$(SRC_DIR)/stdenccd.h \
	$(SRC_DIR)/stdstr.h \
	$(SRC_DIR)/stdstr1.h \
	$(SRC_DIR)/sys.h \
	$(SRC_DIR)/trak.h \
	$(SRC_DIR)/tto.h \
	$(SRC_DIR)/txops.h \
	$(SRC_DIR)/vhea.h \
	$(SRC_DIR)/vmtx.h


PRG_OBJS = $(OBJECT_DIR)/BASE.o \
	$(OBJECT_DIR)/BBOX.o \
	$(OBJECT_DIR)/BLND.o \
	$(OBJECT_DIR)/CFF_.o \
	$(OBJECT_DIR)/CID_.o \
	$(OBJECT_DIR)/EBLC.o \
	$(OBJECT_DIR)/ENCO.o \
	$(OBJECT_DIR)/FNAM.o \
	$(OBJECT_DIR)/GDEF.o \
	$(OBJECT_DIR)/GLOB.o \
	$(OBJECT_DIR)/GPOS.o \
	$(OBJECT_DIR)/GSUB.o \
	$(OBJECT_DIR)/HFMX.o \
	$(OBJECT_DIR)/LTSH.o \
	$(OBJECT_DIR)/META.o \
	$(OBJECT_DIR)/MMFX.o \
	$(OBJECT_DIR)/MMSD.o \
	$(OBJECT_DIR)/MMVR.o \
	$(OBJECT_DIR)/OS_2.o \
	$(OBJECT_DIR)/SING.o \
	$(OBJECT_DIR)/TTdumpinstrs.o \
	$(OBJECT_DIR)/TYP1.o \
	$(OBJECT_DIR)/VORG.o \
	$(OBJECT_DIR)/WDTH.o \
	$(OBJECT_DIR)/cffread.o \
	$(OBJECT_DIR)/cmap.o \
	$(OBJECT_DIR)/da.o \
	$(OBJECT_DIR)/desc.o \
	$(OBJECT_DIR)/dump.o \
	$(OBJECT_DIR)/fdsc.o \
	$(OBJECT_DIR)/feat.o \
	$(OBJECT_DIR)/file.o \
	$(OBJECT_DIR)/fvar.o \
	$(OBJECT_DIR)/gasp.o \
	$(OBJECT_DIR)/global.o \
	$(OBJECT_DIR)/glyf.o \
	$(OBJECT_DIR)/hdmx.o \
	$(OBJECT_DIR)/head.o \
	$(OBJECT_DIR)/hhea.o \
	$(OBJECT_DIR)/hmtx.o \
	$(OBJECT_DIR)/kern.o \
	$(OBJECT_DIR)/loca.o \
	$(OBJECT_DIR)/main.o \
	$(OBJECT_DIR)/map.o \
	$(OBJECT_DIR)/maxp.o \
	$(OBJECT_DIR)/name.o \
	$(OBJECT_DIR)/opt.o \
	$(OBJECT_DIR)/pathbuild.o \
	$(OBJECT_DIR)/post.o \
	$(OBJECT_DIR)/proof.o \
	$(OBJECT_DIR)/res.o \
	$(OBJECT_DIR)/sfnt.o \
	$(OBJECT_DIR)/spotmsgs.o \
	$(OBJECT_DIR)/strftime.o \
	$(OBJECT_DIR)/sys.o \
	$(OBJECT_DIR)/trak.o \
	$(OBJECT_DIR)/tto.o \
	$(OBJECT_DIR)/vhea.o \
	$(OBJECT_DIR)/vmtx.o
	
# Standard definitions
include $(realpath ../../../../../public/config/linux/gcc/gcc.mak)

# program rule is in gcc.mak

# Object rules

$(OBJECT_DIR)/BASE.o: $(SRC_DIR)/BASE.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/BASE.c -o $(OBJECT_DIR)/BASE.o

$(OBJECT_DIR)/BBOX.o: $(SRC_DIR)/BBOX.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/BBOX.c -o $(OBJECT_DIR)/BBOX.o

$(OBJECT_DIR)/BLND.o: $(SRC_DIR)/BLND.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/BLND.c -o $(OBJECT_DIR)/BLND.o

$(OBJECT_DIR)/CFF_.o: $(SRC_DIR)/CFF_.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/CFF_.c -o $(OBJECT_DIR)/CFF_.o

$(OBJECT_DIR)/CID_.o: $(SRC_DIR)/CID_.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/CID_.c -o $(OBJECT_DIR)/CID_.o

$(OBJECT_DIR)/EBLC.o: $(SRC_DIR)/EBLC.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/EBLC.c -o $(OBJECT_DIR)/EBLC.o

$(OBJECT_DIR)/ENCO.o: $(SRC_DIR)/ENCO.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/ENCO.c -o $(OBJECT_DIR)/ENCO.o

$(OBJECT_DIR)/FNAM.o: $(SRC_DIR)/FNAM.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/FNAM.c -o $(OBJECT_DIR)/FNAM.o

$(OBJECT_DIR)/GDEF.o: $(SRC_DIR)/GDEF.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/GDEF.c -o $(OBJECT_DIR)/GDEF.o

$(OBJECT_DIR)/GLOB.o: $(SRC_DIR)/GLOB.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/GLOB.c -o $(OBJECT_DIR)/GLOB.o

$(OBJECT_DIR)/GPOS.o: $(SRC_DIR)/GPOS.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/GPOS.c -o $(OBJECT_DIR)/GPOS.o

$(OBJECT_DIR)/GSUB.o: $(SRC_DIR)/GSUB.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/GSUB.c -o $(OBJECT_DIR)/GSUB.o

$(OBJECT_DIR)/HFMX.o: $(SRC_DIR)/HFMX.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/HFMX.c -o $(OBJECT_DIR)/HFMX.o

$(OBJECT_DIR)/LTSH.o: $(SRC_DIR)/LTSH.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/LTSH.c -o $(OBJECT_DIR)/LTSH.o

$(OBJECT_DIR)/META.o: $(SRC_DIR)/META.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/META.c -o $(OBJECT_DIR)/META.o

$(OBJECT_DIR)/MMFX.o: $(SRC_DIR)/MMFX.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/MMFX.c -o $(OBJECT_DIR)/MMFX.o

$(OBJECT_DIR)/MMSD.o: $(SRC_DIR)/MMSD.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/MMSD.c -o $(OBJECT_DIR)/MMSD.o

$(OBJECT_DIR)/MMVR.o: $(SRC_DIR)/MMVR.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/MMVR.c -o $(OBJECT_DIR)/MMVR.o

$(OBJECT_DIR)/OS_2.o: $(SRC_DIR)/OS_2.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/OS_2.c -o $(OBJECT_DIR)/OS_2.o

$(OBJECT_DIR)/SING.o: $(SRC_DIR)/SING.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/SING.c -o $(OBJECT_DIR)/SING.o

$(OBJECT_DIR)/TTdumpinstrs.o: $(SRC_DIR)/TTdumpinstrs.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/TTdumpinstrs.c -o $(OBJECT_DIR)/TTdumpinstrs.o

$(OBJECT_DIR)/TYP1.o: $(SRC_DIR)/TYP1.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/TYP1.c -o $(OBJECT_DIR)/TYP1.o

$(OBJECT_DIR)/VORG.o: $(SRC_DIR)/VORG.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/VORG.c -o $(OBJECT_DIR)/VORG.o

$(OBJECT_DIR)/WDTH.o: $(SRC_DIR)/WDTH.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/WDTH.c -o $(OBJECT_DIR)/WDTH.o

$(OBJECT_DIR)/cffread.o: $(SRC_DIR)/cffread.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/cffread.c -o $(OBJECT_DIR)/cffread.o

$(OBJECT_DIR)/cmap.o: $(SRC_DIR)/cmap.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/cmap.c -o $(OBJECT_DIR)/cmap.o

$(OBJECT_DIR)/da.o: $(SRC_DIR)/da.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/da.c -o $(OBJECT_DIR)/da.o

$(OBJECT_DIR)/desc.o: $(SRC_DIR)/desc.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/desc.c -o $(OBJECT_DIR)/desc.o

$(OBJECT_DIR)/dump.o: $(SRC_DIR)/dump.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/dump.c -o $(OBJECT_DIR)/dump.o

$(OBJECT_DIR)/fdsc.o: $(SRC_DIR)/fdsc.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/fdsc.c -o $(OBJECT_DIR)/fdsc.o

$(OBJECT_DIR)/feat.o: $(SRC_DIR)/feat.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/feat.c -o $(OBJECT_DIR)/feat.o

$(OBJECT_DIR)/file.o: $(SRC_DIR)/file.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/file.c -o $(OBJECT_DIR)/file.o

$(OBJECT_DIR)/fvar.o: $(SRC_DIR)/fvar.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/fvar.c -o $(OBJECT_DIR)/fvar.o

$(OBJECT_DIR)/gasp.o: $(SRC_DIR)/gasp.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/gasp.c -o $(OBJECT_DIR)/gasp.o

$(OBJECT_DIR)/global.o: $(SRC_DIR)/global.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/global.c -o $(OBJECT_DIR)/global.o

$(OBJECT_DIR)/glyf.o: $(SRC_DIR)/glyf.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/glyf.c -o $(OBJECT_DIR)/glyf.o

$(OBJECT_DIR)/hdmx.o: $(SRC_DIR)/hdmx.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/hdmx.c -o $(OBJECT_DIR)/hdmx.o

$(OBJECT_DIR)/head.o: $(SRC_DIR)/head.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/head.c -o $(OBJECT_DIR)/head.o

$(OBJECT_DIR)/hhea.o: $(SRC_DIR)/hhea.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/hhea.c -o $(OBJECT_DIR)/hhea.o

$(OBJECT_DIR)/hmtx.o: $(SRC_DIR)/hmtx.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/hmtx.c -o $(OBJECT_DIR)/hmtx.o

$(OBJECT_DIR)/kern.o: $(SRC_DIR)/kern.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/kern.c -o $(OBJECT_DIR)/kern.o

$(OBJECT_DIR)/loca.o: $(SRC_DIR)/loca.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/loca.c -o $(OBJECT_DIR)/loca.o

$(OBJECT_DIR)/main.o: $(SRC_DIR)/main.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/main.c -o $(OBJECT_DIR)/main.o

$(OBJECT_DIR)/map.o: $(SRC_DIR)/map.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/map.c -o $(OBJECT_DIR)/map.o

$(OBJECT_DIR)/maxp.o: $(SRC_DIR)/maxp.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/maxp.c -o $(OBJECT_DIR)/maxp.o

$(OBJECT_DIR)/name.o: $(SRC_DIR)/name.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/name.c -o $(OBJECT_DIR)/name.o

$(OBJECT_DIR)/opt.o: $(SRC_DIR)/opt.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/opt.c -o $(OBJECT_DIR)/opt.o

$(OBJECT_DIR)/pathbuild.o: $(SRC_DIR)/pathbuild.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/pathbuild.c -o $(OBJECT_DIR)/pathbuild.o

$(OBJECT_DIR)/post.o: $(SRC_DIR)/post.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/post.c -o $(OBJECT_DIR)/post.o

$(OBJECT_DIR)/proof.o: $(SRC_DIR)/proof.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/proof.c -o $(OBJECT_DIR)/proof.o

$(OBJECT_DIR)/res.o: $(SRC_DIR)/res.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/res.c -o $(OBJECT_DIR)/res.o

$(OBJECT_DIR)/sfnt.o: $(SRC_DIR)/sfnt.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/sfnt.c -o $(OBJECT_DIR)/sfnt.o

$(OBJECT_DIR)/spotmsgs.o: $(SRC_DIR)/spotmsgs.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/spotmsgs.c -o $(OBJECT_DIR)/spotmsgs.o

$(OBJECT_DIR)/strftime.o: $(SRC_DIR)/strftime.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/strftime.c -o $(OBJECT_DIR)/strftime.o

$(OBJECT_DIR)/sys.o: $(SRC_DIR)/sys.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/sys.c -o $(OBJECT_DIR)/sys.o

$(OBJECT_DIR)/trak.o: $(SRC_DIR)/trak.c $(PRG_INCLUDES)

=== c/tx/build/linux/gcc/debug/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2003 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = debug
ROOT_DIR = ../../../..
OBJECT_DIR = .

CFLAGS = $(STD_OPTS) -g

# Program
PRG_SRCS = $(SRC_DIR)/tx.c
PRG_OBJS = tx.o
PRG_TARGET = $(EXE_DIR)/tx

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include ../../../../../public/config/linux/gcc/gcc_tx.mak

# include tx/rotatefont/mergefonts shared header files
STD_OPTS += -I$(realpath $(ROOT_DIR)/../public/lib/source/tx_shared)

# Object rules
tx.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/tx.c -o $@

=== c/tx/build/linux/gcc/release/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2003 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = release
ROOT_DIR = $(realpath ../../../..)
OBJECT_DIR = .

CFLAGS = $(STD_OPTS)

# Program
PRG_SRCS = $(SRC_DIR)/tx.c
PRG_OBJS = tx.o
PRG_TARGET = $(EXE_DIR)/tx

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include $(realpath ../../../../../public/config/linux/gcc/gcc_tx.mak)

# include tx/rotatefont/mergefonts shared header files
STD_OPTS += -I$(realpath $(ROOT_DIR)/../public/lib/source/tx_shared)

# Object rules
tx.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/tx.c -o $@

=== c/type1/build/linux/gcc/debug/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2001 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = debug
ROOT_DIR = ../../../..
OBJECT_DIR = .

CFLAGS = $(STD_OPTS) -g

# Program
PRG_SRCS = $(SRC_DIR)/type1.c
PRG_OBJS = $(OBJECT_DIR)/type1.o
PRG_TARGET = $(EXE_DIR)/type1

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include ../../../../../public/config/linux/gcc/gcc.mak

# Object rules
$(OBJECT_DIR)/type1.o: 
	$(CC) $(CFLAGS) -c $(SRC_DIR)/type1.c -o $@

=== debian/changelog ===
afdko (3.6.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.6.2+dfsg1
  * d/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 16 May 2021 22:29:10 +0800

=== debian/control ===
Source: afdko
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-booleanoperations (>= 0.9.0),
 python3-defcon (>= 0.7.2),
 python3-fontmath (>= 0.6.0),
 python3-fonttools (>= 4.21.1),
 python3-psautohint (>= 2.3.0),
 python3-tqdm (>= 4.57.0),
 python3-ufonormalizer (>= 0.5.3),
 python3-ufoprocessor (>= 1.9.0),
 python3-setuptools,
 python3-setuptools-scm,
 python3-wheel
Standards-Version: 4.5.1
Homepage: https://adobe-type-tools.github.io/afdko/
Vcs-Browser: https://salsa.debian.org/fonts-team/afdko
Vcs-Git: https://salsa.debian.org/fonts-team/afdko.git
Testsuite: autopkgtest-pkg-python

Package: afdko
Architecture: all
Depends:
 ${shlibs:Depends}, ${misc:Depends},
 python3, python3-afdko (= ${source:Version})
Suggests: afdko-doc
Description: Adobe Font Development Kit for OpenType
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.

Package: afdko-bin
Architecture: any
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: Adobe Font Development Kit for OpenType (Binaries)
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.
 .
 This package installs native binaries in AFDKO.

Package: python3-afdko
Architecture: all
Section: python
Depends:
 ${python3:Depends}, ${misc:Depends},
 afdko-bin (>= ${source:Version}),
 afdko-bin (<< ${source:Upstream-Version}.0~),
 python3-fontpens
Suggests: afdko-doc
Description: Adobe Font Development Kit for OpenType (Python 3)
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.
 .
 This package installs the library for Python 3.

Package: afdko-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Adobe Font Development Kit for OpenType (common documentation)
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

include /usr/share/dpkg/pkg-info.mk
VERSION_UPSTREAM = $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -e 's/\+[^+]*//')
export SETUPTOOLS_SCM_PRETEND_VERSION = $(VERSION_UPSTREAM)

export XFLAGS=$(shell dpkg-buildflags --get CFLAGS; dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	-dh_auto_clean

## afdko 4.0.1%2Bdfsg1

=== c/shared/source/CMakeLists.txt ===
include_directories(../include ../resource)

MACRO(ADD_AFDKOLIB lm)
    file(GLOB sl_sources "${lm}/*")
    add_library(${lm} STATIC ${sl_sources})
    if(${NEED_LIBXML2_DEPEND})
        add_dependencies(${lm} ${LIBXML2_TARGET})
    endif(${NEED_LIBXML2_DEPEND})
ENDMACRO(ADD_AFDKOLIB)

ADD_AFDKOLIB(absfont)
ADD_AFDKOLIB(cfembed)
ADD_AFDKOLIB(cffread)
ADD_AFDKOLIB(cffwrite)
ADD_AFDKOLIB(ctutil)
ADD_AFDKOLIB(dynarr)
ADD_AFDKOLIB(nameread)
ADD_AFDKOLIB(pdfwrite)
ADD_AFDKOLIB(pstoken)
ADD_AFDKOLIB(sfntread)
ADD_AFDKOLIB(sfntwrite)
ADD_AFDKOLIB(sha1)
ADD_AFDKOLIB(support)
ADD_AFDKOLIB(svgwrite)
ADD_AFDKOLIB(svread)
ADD_AFDKOLIB(t1cstr)
ADD_AFDKOLIB(t1read)
ADD_AFDKOLIB(t1write)
ADD_AFDKOLIB(t2cstr)
ADD_AFDKOLIB(ttread)
ADD_AFDKOLIB(tx_shared)
ADD_AFDKOLIB(uforead)
ADD_AFDKOLIB(ufowrite)
ADD_AFDKOLIB(varread)

target_compile_definitions(absfont PRIVATE $<$<CONFIG:Debug>:ABF_DEBUG=1>)
target_compile_definitions(cfembed PRIVATE $<$<CONFIG:Debug>:CEF_DEBUG=1>)
target_compile_definitions(cffread PRIVATE $<$<CONFIG:Debug>:CFR_DEBUG=1>)
target_compile_definitions(cffwrite PRIVATE $<$<CONFIG:Debug>:CFW_DEBUG=1>)
target_compile_definitions(dynarr PRIVATE $<$<CONFIG:Debug>:DNA_DEBUG=1>)
target_compile_definitions(pstoken PRIVATE $<$<CONFIG:Debug>:PST_DEBUG=1>)
target_compile_definitions(pdfwrite PRIVATE $<$<CONFIG:Debug>:PDW_DEBUG=1>)
target_compile_definitions(t1cstr PRIVATE $<$<CONFIG:Debug>:T1C_DEBUG=1>)
target_compile_definitions(t2cstr PRIVATE $<$<CONFIG:Debug>:T1C_DEBUG=1>)
target_compile_definitions(t1read PRIVATE $<$<CONFIG:Debug>:T1R_DEBUG=1>)
target_compile_definitions(t1write PRIVATE $<$<CONFIG:Debug>:T1W_DEBUG=1>)
target_compile_definitions(ttread PRIVATE $<$<CONFIG:Debug>:TTR_DEBUG=1>)
target_compile_definitions(tx_shared PRIVATE $<$<CONFIG:Debug>:CFW_DEBUG=1>)

target_link_libraries(tx_shared PUBLIC ${CHOSEN_LIBXML2_LIBRARY})

if (${NEED_LIBXML2_DEPEND})
    target_compile_definitions(tx_shared PUBLIC -DLIBXML_STATIC)
endif()

# These libraries are partially ordered

target_link_libraries(tx_shared PUBLIC
    cfembed
    cffread
    cffwrite
    ctutil
    pdfwrite
    sfntread
    sfntwrite
    nameread
    sha1
    support
    svgwrite
    svread
    t1read
    t1write
    t2cstr
    ttread
    uforead
    ufowrite
    pstoken
    t1cstr
    absfont
    dynarr
    varread
)

if(HAVE_M_LIB)
    target_link_libraries(tx_shared PUBLIC m)
endif()

=== c/tx/source/CMakeLists.txt ===
add_executable(tx
    tx.c
    help.h
    options.h
    usage.h
)

target_include_directories(tx PRIVATE ../../shared/include ../../shared/resource ../../shared/source/tx_shared)
target_link_libraries(tx PUBLIC tx_shared)

target_link_libraries(tx PUBLIC ${CHOSEN_LIBXML2_LIBRARY})
if (${NEED_LIBXML2_DEPEND})
    add_dependencies(tx ${LIBXML2_TARGET})
    target_compile_definitions(tx PUBLIC -DLIBXML_STATIC)
endif()

install(TARGETS tx DESTINATION bin)

=== debian/watch ===
version=4
opts="searchmode=plain,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1" \
https://api.github.com/repos/adobe-type-tools/afdko/releases \
https://github.com/adobe-type-tools/afdko/releases/download/[\d.]+/afdko-@ANY_VERSION@@ARCHIVE_EXT@
